package com.tzld.longarticle.recommend.server.service;

import com.tzld.longarticle.recommend.server.model.WxUserGetResponse;
import com.tzld.longarticle.recommend.server.remote.WxUserManagementRemoteService;
import com.tzld.longarticle.recommend.server.repository.crawler.ArticleUserGroupRepository;
import com.tzld.longarticle.recommend.server.repository.entity.crawler.ArticleUserGroup;
import com.tzld.longarticle.recommend.server.util.CommonCollectionUtils;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.collections4.CollectionUtils;
import org.apache.commons.lang.math.RandomUtils;
import org.apache.commons.lang3.StringUtils;
import org.dom4j.Document;
import org.dom4j.Element;
import org.dom4j.io.SAXReader;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import java.util.*;

/**
 * @author dyp
 */
@Slf4j
@Service
public class UserManagementTransactionalService {

    @PersistenceContext
    private EntityManager entityManager;

    @Transactional
    public void insertAll(Iterable<ArticleUserGroup> entities) {
        Iterator<ArticleUserGroup> iterator = entities.iterator();

        while (iterator.hasNext()) {
            ArticleUserGroup next = iterator.next();
            entityManager.persist(next);
        }
        entityManager.flush();
        entityManager.clear();
    }

}
